Lavalite package that provides mpol management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `pmlo/mpol`.

    "pmlo/mpol": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Pmlo\Mpol\Providers\MpolServiceProvider::class,

And also add it to alias

    'Mpol'  => Pmlo\Mpol\Facades\Mpol::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Pmlo\\Mpol\\Seeders\\MpolTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Pmlo\Mpol\Providers\MpolServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Pmlo\Mpol\Providers\MpolServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Pmlo\Mpol\Providers\MpolServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/mpol/{modulename}

**User**

    http://path-to-route-folder/user/mpol/{modulename}

**Public**

    http://path-to-route-folder/mpols


### API endpoints

**List**

    http://path-to-route-folder/api/user/mpol/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/mpol/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/mpol/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/mpol/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/mpol/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/mpol/{modulename}/{slug}
    METHOD: GET